 REBEL ASSAULT 1.7

 Last minute manual additions:

-------------------------- TROUBLESHOOTING ---------------------------------

I) UNEXPECTED INTERRUPT ERRORS/LOCKUPS

    If you are experiencing crashes running Rebel Assault, first try playing
 with the "NO SOUND" and "JOYSTICK ONLY" options.  If problems disappear, 
 you most likely have a DMA and/or IRQ conflict between your mouse, 
 soundcard, or another device in your computer.  See your specific hardware
 documentation for instructions on how to reconfigure your cards so they
 do not conflict.

    IF YOU STILL HAVE PROBLEMS, TRY TYPING "REBEL2" WHILE IN YOUR CD-DRIVE
 ROOT DIRECTORY.  This will launch Rebel Assault with an alternate version
 of the DOS extender which may be more compatible with some systems.

II) SOUNDBLASTER 16

    Note that if you are using a Sound Blaster 16 in 16-bit mode, you must
 configure Rebel Assault to use the 16-DMA channel (default=5) your card is
 set to.  This is not necessarily the same as your 8-bit DMA channel
 (default=1).  You can check your card's setting by looking in your
 AUTOEXEC.BAT file for the "SET BLASTER" command.  The 16-bit DMA channel
 is preceeded by an "H", while the 8-bit channel follows a "D".

    Some motherboards cannot use DMA channels higher than 3.  Thus, the
 safest thing to do is to change your AUTOEXEC.BAT file, switching the
 number following the "H" to be the same as the one after the "D"
 (probably to 1), and reboot.  This will force the Sound Blaster 16 to use 
 the same DMA channel for both 8-bit and 16-bit sound.

III) SMARTDRIVE / DISK-CACHING SOFTWARE

    CD disk-caching software may confuse Rebel Assault should the CD drive
 encounter a read error.  If you are having problems, disable any disk-
 caching software or caching options of your CD driver.
     
IV) MSCDEX BUFFER SIZE

    We have been told that you can get improve Rebel Assault's speed by
reducing your MSCDEX buffer size to its minimum.  Locate the MSCDEX line
in your autoexec.bat and change number following the "/m" to 4.

V) JOYSTICK CONTROLS    

    If you are having problems with joystick controllability, first check
to see if you have more than one joystick enabled on your PC.  If so, you
should disable one of the ports so they do not conflict.  In general,
the joystick port on your sound card is less likely to have compatibility
problems.  If the joystick seems too sensitive, make sure any trim controls
on the joystick are adjusted to give you a full range of motion.

----------------------------- MISC NOTES -----------------------------------

I) CONFIGURATION FILE

    REBEL.EXE, the Rebel Assault launcher / config-utility saves its settings
 in a file REBEL.CFG on your C: drive inside a REBEL\ directory.  It will
 create this directory if it cannot find one.

II) HIGH SCORES FILE

    Rebel Assault saves your high scores in a file REBEL.PTS on your
 C: drive in the REBEL directory.  If this directory is not present,
 the file will be saved in the root directory instead.  To clear the high
 scores list, you may delete this file.

III) RUNNING ASSAULT DIRECTLY

    REBEL.EXE is the launcher utility, while ASSAULT.EXE is the game itself.
 Under normal circumstances, you should not need to run ASSAULT directly,
 but should instead type REBEL.  ASSAULT does not pay attention to your
 saved game and sound card preferences, but instead relies on command-line
 switches for this information.

    In a few cases, it may be desirable to run ASSAULT.EXE directly.  For
 instance, if you have a clone sound card which is set to an IRQ or base
 address not listed in the config program, you will need to pass this
 information to ASSAULT.EXE directly through command-line switches.


   A list of supported command-line switches follows:

   /?  - show this list of parameters

   /x1  - use a low detail level
   /x2 - use a med detail level (default)
   /x3 - use a high detail level

   /c0 - no sound
   /c1 - use Sound Blaster driver
   /c2 - use Sound Blaster Pro driver (default)
   /c3 - use Sound Blaster 16 driver
   /c4 - use Pro AudioSpectrum driver
   /c5 - use Pro AudioSpectrum 16 driver
   /c6 - use Aria driver
   /c7 - use Ultrasound driver

   /d<n> - use DMA channel <n> for sound
   /i<n> - use  IRQ <n> for sound
   /b<n> - use base address <n> for sound
   /s<n> - set sound buffer size to <n> bytes
   /f<n> - set frame rate cap to <n> frames per second (default=300)
   /j    - enable joystick control only (default joystick + mouse)
   /m    - enable mouse control only
   
   /t<n> - set rate of multitasking timer       in Hertz        (default=15)
   /u<n> - set CD drive cpu-usage (<n>=0-9) 0=detect (default), 1=20 percent   
		
   Thus, you can run Rebel Assault for a Sound Blaster 16 sound card at
DMA channel 6, IRQ 5, and Base Address 220 by typing:

   ASSAULT /c3 /d6 /i5

IV) TWEAKING    FRAME RATE

    If you are  experiencing occasional momentary hesitations during game play,
 you may be able to make the game run smoother by slowing down the frame
 rate from its default of 15 frames per second.  You may also want to slow
 down the frame rate to make the game easier to play.  Make this adjustment
 in the launcher/configuration program.
V) DIABLING EMM386

    When disabling EMM386, you must disable or ignore two lines in your
CONFIG.SYS file.  These are:

   C:\DOS\HIMEM.SYS
   C:\DOS\EMM386.EXE RAM

 If you are commenting these out in the CONFIG.SYS file, add "REM" before 
 both lines
 
   REM C:\DOS\HIMEM.SYS
   REM C:\DOS\EMM386.EXE RAM

 If ignoring lines by using the F8 key under DOS 6.0, choose to ignore 
 both lines.

VI) CHANGING SOUND CARD VOLUME

    A volume control exists in the options menu, which can be accessed
 either at the beginning of the game from the main menu, or at any time
 by pressing the 'o' key.  To change volume, select the volume item and
 move your controller left or right while holding down the fire button.

    Note that some cards, such as an original Sound Blaster,
 do not have a hardware volume control, and so this menu will have no
 effect.

    Also note that for the Pro AudioSpectrum, you should use the 
 hotkey-activated TSR to change volume instead.  Even if you do not wish
 to change volume during the game, you should install the TSR on your 
 hard drive as the sound card may otherwise default to no volume when
 first booted up.

 VII) CHOOSING A CONTROLLER

    Although it is possible to use both the mouse and joystick in the
 same playing session, it is best to choose one and enable only it, as
 enabling both at the same time may slow down Rebel Assault or cause
 conflicts when using some mouse drivers.  Also, when after plugging or
 unplugging a joystick, you should recalibrate using the 'j' key. 
 
 VIII) BRIGHTNESS CONTROLS

    Press '.' or '>' to brighten the palette, ',' or '<' to darken it.

Enjoy the game.

 May the Force be with you.


 DOS/4GW Protected Mode Run-Time   Version 1.8, 1.92
 Copyright (c) Rational Systems, Inc.  1990-1992






 
